
Enduro/X Core - Support #806

ndrxd santiy scan timing precision

07/08/2023 09:19 AM - Madars

Status: Closed Start date: 07/08/2023

Priority: Normal (Code 4) Due date:  

Assignee:  % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:    

Description

Overall sanity scan intervals might be imprecise, and at times longer than configured/expected. Mostly this affects SystemV (Unix

poller), but some of the time drift affects epoll (Linux mode), and other pollers too.

History

#1 - 08/19/2023 01:49 PM - Madars

Release notes

Increased the accuracy of the ndrxd process sanity scan scheduler. Now sanity checks makes more regular scans, according to the setting

<endurox>/<appconfig>/<sanity>. Still some drifting is possible (i.e. the schedule to next cycle does not include time of the sanity check by it self), but

previously much larger gaps between scans were possible.

Available from Enduro/X release 8.0.8+.

#2 - 08/19/2023 01:49 PM - Madars

- Status changed from New to Resolved

- % Done changed from 0 to 100

#3 - 08/19/2023 01:49 PM - Madars

- Status changed from Resolved to Closed
